#ifndef _UMI_UMI_LP_HXX_
#define _UMI_UMI_LP_HXX_ 1

/**
 * \file umi_lp.hxx
 * Polled (non-interrupt) UMI Local Interface 
 *
 * %LEGAL%
 */

#include <iostream>
#include "umi/umi_l.hxx"



namespace INdepUmi100 {

 #ifdef MMSYS_linux

  /**
   * Polled UmiSync class. This class provides for polled operation
   * by calling UmiCard::interrupt(int) in a loop while UmiLocal::pollIn( ) or
   * UmiLocal::pollOut() are false, respectively.
   */
  class UmiSyncPolled:public UmiSync {
   public:
    void syncGet(UmiLocal *);
    void syncPut(UmiLocal *);
    Time tiNext( const Time &ti );

    UmiSyncPolled() { }
    virtual ~UmiSyncPolled() { }

  };
 #endif

}

#endif
